package com.hz.pm.api.projectlib.handle;

import com.hz.pm.api.projectdeclared.model.entity.Purchase;
import com.hz.pm.api.projectdeclared.model.entity.PurchaseInst;
import com.hz.pm.api.projectlib.model.entity.Project;
import com.wflow.workflow.bean.vo.ProcessDetailVO;
import com.wflow.workflow.enums.StepStatusEnum;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * HandleParamContext
 * </p>
 *
 * @author WendyYang
 * @since 16:38 2024/4/9
 */
@Data
public final class HandleParamContext {

    private Project project;

    private List<ProcessDetailVO> processDetails;

    private List<Purchase> purchases;

    private List<PurchaseInst> purchaseInstList;

    private StepStatusEnum preStepStatus;

}
